aboutsummaryrefslogtreecommitdiffstats
path: root/meta-python/recipes-devtools
Commit message (Collapse)AuthorAgeFilesLines
* python3-lrparsing: upgrade 1.0.16 -> 1.0.17zangrc2021-09-101-2/+5
| | | | | | | | | * New: Default to everything using python3 * New: Port to Debian bullseye Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-bitarray: upgrade 2.3.2 -> 2.3.3zangrc2021-09-101-1/+1
| | | | | | | | | | | 2021-09-05 2.3.3: ------------------- * improve some error messages * add tests Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-pillow: upgrade 8.3.1 -> 8.3.2Trevor Gamblin2021-09-101-1/+1
| | | | | | | | | | | | | | | | | | | | | | | From the release notes: - CVE-2021-23437: Avoid a potential ReDoS (regular expression denial of service) in ImageColor’s getrgb() by raising ValueError if the color specifier is too long. Present since Pillow 5.2.0. - Fix 6-byte out-of-bounds (OOB) read. The previous bounds check in FliDecode.c incorrectly calculated the required read buffer size when copying a chunk, potentially reading six extra bytes off the end of the allocated buffer from the heap. Present since Pillow 7.1.0. This bug was found by Google’s OSS-Fuzz CIFuzz runs. - Pillow now includes binary wheels for Python 3.10. - Ensure TIFF RowsPerStrip is multiple of 8 for JPEG compression (#5588). - Updates for ImagePalette channel order (#5599). - Hide FriBiDi shim symbols to avoid conflict with real FriBiDi library (#5651). Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-sqlalchemy: add native and nativesdk to BBCLASSEXTENDSamuel Dolt2021-09-101-0/+2
| | | | | | Signed-off-by: Samuel Dolt <samuel.dolt.ext@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-editor: add native and nativesdk to BBCLASSEXTENDSamuel Dolt2021-09-101-0/+2
| | | | | | Signed-off-by: Samuel Dolt <samuel.dolt.ext@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-alembic: add native and nativesdk to BBCLASSEXTENDSamuel Dolt2021-09-101-0/+2
| | | | | | Signed-off-by: Samuel Dolt <samuel.dolt.ext@siemens.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-traitlets: upgrade 5.0.5 -> 5.1.0zangrc2021-09-071-2/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Traitlets 5.1 brings a couple of updates and changes to traitlets, and is recommended for all users. What follow is a non-exhaustive list of changes: - Removal of the ``ipython_genutils`` dependency, this should remove any direct and indirect reliance on ``nose`` and prepare traitlets 5.1 for Python 3.10 and above compatibility, some test suite changes also accommodate Python 3.10 changes. If you package traitlets downstream, make sure to remove this dependency. - Removal of ``ipython_genutils`` may have change the default encoding detected for the command line argument parsing when not utf-8. We expect this to affect a small portion of older windows version. If you encounter issue let us know. - Stop recommendation of ``CUnicode`` in some circumstances as it's deprecated. - Our test suite is now using GitHub action instead of travis CI. If you are packaging downstream using the git repository, you may have to exclude the ``.github`` folder now, and can remove exclusion of - It fixes a parsing issue for list of one single element on the CLI. - We reserve the right to remove official support for Python 3.7 in subsequent minor revisions. Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-ruamel-yaml: upgrade 0.17.13 -> 0.17.16zangrc2021-09-071-1/+3
| | | | | | | | | | | | | | | | | [0, 17, 16]: 2021-08-28 - also handle issue 397 when comment is newline [0, 17, 15]: 2021-08-28 - fix issue 397, insert comment before key when a comment between key and value exists (reported by `Bastien gerard <https://sourceforge.net/u/bagerard/>`__) [0, 17, 14]: 2021-08-25 - fix issue 396, inserting key/val in merged-in dictionary (reported by `Bastien gerard <https://sourceforge.net/u/bagerard/>`__) Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-google-api-python-client: upgrade 2.18.0 -> 2.19.1Wang Mingyu2021-09-071-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | remove repeated calls to self._get_reason analyticsdata: update the api androidmanagement: update the api artifactregistry: update the api bigquerydatatransfer: update the api bigquery: update the api chat: update the api cloudidentity: update the api cloudkms: update the api compute: update the api containeranalysis: update the api container: update the api content: update the api dataflow: update the api dataproc: update the api displayvideo: update the api documentai: update the api file: update the api gkehub: update the api logging: update the api managedidentities: update the api metastore: update the api ondemandscanning: update the api people: update the api sqladmin: update the api sts: update the api workflowexecutions: update the api youtube: update the api Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-cryptography-vectors: upgrade 3.4.7 -> 3.4.8Wang Mingyu2021-09-071-1/+1
| | | | | | | | | | | | | | | Changed the version scheme. This will result in us incrementing the major version more frequently, but does not change our existing backwards compatibility policy. BACKWARDS INCOMPATIBLE: The X.509 certificate parser no longer allows negative serial numbers. RFC 5280 has always prohibited these. BACKWARDS INCOMPATIBLE: Invalid ASN.1 found during certificate parsing will raise an error on initial parse rather than when the invalid field is accessed. BACKWARDS INCOMPATIBLE: Values passed to the X.509 PEM parser must be a single PEM payload and will error on extraneous data. Added support for OpenSSL 3.0.0 as a compilation target. Added support for SM3 and SM4, when using OpenSSL 1.1.1. These algorithms are provided for compatibility in regions where they may be required, and are not generally recommended. We now ship manylinux_2_24 wheels, in addition to our manylinux2010 and manylinux2014 wheels. Added rfc4514_attribute_name attribute to x509.NameAttribute, Signed-off-by: Wang Mingyu <wangmy@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-kiwisolver: upgrade 1.3.1 -> 1.3.2zangrc2021-09-071-2/+1
| | | | | | | | | | | | | | | | | | | | CI: fix building wheels on GHA * ci: fix wheel build command * ci: remove references to submodules * ci: fix sdist command and remove Python 3.6 from the matrix * ci: slightly alter invocation * ci: disable emulation * ci: smaller matrix * ci: use a small matrix but with all python versions * ci: use manylinux 2010 for CPython 3.9+ * ci: split again matrix per python version given how slow emulation is Fix also the artifact upload * ci: fix typo * ci: typo Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-ipython: upgrade 7.26.0 -> 7.27.0zangrc2021-09-071-1/+1
| | | | | | | | | | | IPython 7.27 is a minor release that fixes a couple of issues and compatibility. Add support for GTK4 PR Add support for Qt6 PR Fix an issue with pip magic on windows PR Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-kivy: Check for x11 and opengl before enabling the recipeKhem Raj2021-09-071-1/+3
| | | | | | | | | | | | | | | | | | | | Fixes ERROR: Nothing PROVIDES 'libsdl2-ttf' (but meta-openembedded/meta-python/recipes-devtools/python/python3-kivy_2.0.0.bb DEPENDS on or otherwise requires it) libsdl2-ttf was skipped: missing required distro feature 'opengl' (not in DISTRO_FEATURES) ERROR: Nothing RPROVIDES 'python3-kivy-dev' (but meta-openembedded/meta-python/recipes-devtools/python/python3-kivy_2.0.0.bb RDEPENDS on or otherwise requires it) No eligible RPROVIDERs exist for 'python3-kivy-dev' NOTE: Runtime target 'python3-kivy-dev' is unbuildable, removing... Missing or unbuildable dependency chain was: ['python3-kivy-dev'] ERROR: Nothing RPROVIDES 'python3-kivy' (but meta-openembedded/meta-python/recipes-devtools/python/python3-kivy_2.0.0.bb RDEPENDS on or otherwise requires it) No eligible RPROVIDERs exist for 'python3-kivy' NOTE: Runtime target 'python3-kivy' is unbuildable, removing... Missing or unbuildable dependency chain was: ['python3-kivy'] Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: Martin Jansa <Martin.Jansa@gmail.com> Cc: William Huang <whuang8933@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-kivy: Remove hardcoded include pathsKhem Raj2021-09-072-4/+18
| | | | | | | | Use RECIPE_SYSROOT instead of synthesizing the sysroot Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: William Huang <whuang8933@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-pytest-subtests: add recipeTrevor Gamblin2021-09-031-0/+16
| | | | | | | | | | Newer versions of python3-cryptography will rely on the subtests fixture for their ptests. Add this recipe so that cryptography can be given the necessary RDEPENDS when it is upgraded. Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* recipes-devtools: python: add support for KivyWilliam Huang2021-09-032-0/+95
| | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-regex: upgrade to 2021.8.28Martin Jansa2021-09-031-1/+1
| | | | | | | | | | | * 2021.8.27 causes python3 to segfault in various cases: https://bitbucket.org/mrabarnett/mrab-regex/issues/421/2021827-results-in-fatal-python-error and was already yanked from pypi: https://pypi.org/project/regex/2021.8.27/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-pkcs11: Add recipe for version 0.7.0Vesa Jääskeläinen2021-08-301-0/+25
| | | | | | | | | "A high level, “more Pythonic” interface to the PKCS#11 (Cryptoki) standard to support HSM and Smartcard devices in Python." Signed-off-by: Vesa Jääskeläinen <vesa.jaaskelainen@vaisala.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-cached-property: Add recipe for version 1.5.2Vesa Jääskeläinen2021-08-301-0/+12
| | | | | | | | "A decorator for caching properties in classes." Signed-off-by: Vesa Jääskeläinen <vesa.jaaskelainen@vaisala.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-stevedore: upgrade 3.3.0 -> 3.4.0zhengruoqin2021-08-301-1/+1
| | | | | | | | | | | | | | | | | 3.4.0 ----- * setup.cfg: Replace dashes with underscores * Fix formatting of release list * Remove lower-constraints remnants * Move flake8 as a pre-commit local target * Add Python3 xena unit tests * Update master for stable/wallaby * Dropping lower constraints testing Signed-off-by: Zheng Ruoqin <zhengrq.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-sqlalchemy: upgrade 1.4.22 -> 1.4.23zhengruoqin2021-08-301-1/+1
| | | | | | Signed-off-by: Zheng Ruoqin <zhengrq.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-regex: upgrade 2021.8.3 -> 2021.8.27zhengruoqin2021-08-301-1/+1
| | | | | | Signed-off-by: Zheng Ruoqin <zhengrq.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-haversine: upgrade 2.3.1 -> 2.4.0zangrc2021-08-301-1/+1
| | | | | | Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-h5py: upgrade 3.3.0 -> 3.4.0zangrc2021-08-301-1/+2
| | | | | | Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-google-api-python-client: upgrade 2.17.0 -> 2.18.0zangrc2021-08-301-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | Features analyticsadmin: update the api apigee: update the api appengine: update the api bigquerydatatransfer: update the api cloudfunctions: update the api compute: update the api containeranalysis: update the api container: update the api documentai: update the api gkehub: update the api iam: update the api ideahub: update the api ondemandscanning: update the api osconfig: update the api people: update the api securitycenter: update the api slides: update the api tagmanager: update the api Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-gevent: upgrade 21.1.2 -> 21.8.0zangrc2021-08-301-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | 21.8.0 (2021-08-05) =================== Features -------- - Update the embedded c-ares from 1.16.1 to 1.17.1. See :issue:`1758`. - Add support for Python 3.10rc1 and newer. As part of this, the minimum required greenlet version was increased to 1.1.0 (on CPython), and the minimum version of Cython needed to build gevent from a source checkout is 3.0a9. Note that the dnspython resolver is not available on Python 3.10. See :issue:`1790`. - Update from Cython 3.0a6 to 3.0a9. See :issue:`1801`. Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-aiohttp-jinja2: upgrade 1.4.2 -> 1.5zangrc2021-08-301-1/+1
| | | | | | Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-license-expression: add ptest artifactsTrevor Gamblin2021-08-271-2/+4
| | | | | | | | | | The python3-license-expression ptest is failing because it requires the contents of the src/ directory from the repo/tarball. Copy this content to the image when installing the ptest so that it has what it needs. Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-gunicorn: tweak run-ptest, add RDEPENDSTrevor Gamblin2021-08-262-0/+6
| | | | | | | | | | | | gunicorn relies on eventlet and gevent for its ptests, and it also requires a non-empty /etc/resolv.conf for one of those tests. Add those two modules to RDEPENDS for the recipe, and add an echo in run-ptest to make sure that there is something basic in /etc/resolv.conf before the test actually runs. Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-eventlet: add 0.30.2 to meta-pythonTrevor Gamblin2021-08-261-0/+12
| | | | | | | | | | | | | | | | | python3-gunicorn in meta-python relies on python3-eventlet for its ptests, so add a version of the eventlet recipe to the layer and update to the latest version. This recipe file is based on the one from the meta-openstack layer, but the .inc and .bb files have been combined. Also add python3-dnspython to RDEPENDS so that "import eventlet" works. Note that there is a newer version of eventlet, but anything 0.30.3 and newer is incompatible with the current version of gunicorn. eventlet will get another update as soon as there is a new release of gunicorn handling the API change. Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-django_2.2.x: only check upstream 2.2.xTim Orling2021-08-261-0/+4
| | | | | | | | | | | | | AUH currently sees this recipe needing to upgrade to 3.x but we do not want that. We are intentionally pinning at the 2.2.x LTS for this recipe. References: https://www.djangoproject.com/download/ Signed-off-by: Tim Orling <timothy.t.orling@intel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-tqdm: upgrade 4.62.0 -> 4.62.2zhengruoqin2021-08-251-1/+1
| | | | | | | | | | fix notebook memory leak (#1216) fix contrib.concurrent with generators (#1233 <- #1231) Signed-off-by: Zheng Ruoqin <zhengrq.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-pyzmq: upgrade 22.1.0 -> 22.2.1zhengruoqin2021-08-251-2/+5
| | | | | | | | | | | | | | | | | | | | | | | | | | | | 22.2.1 Fix bundling of wepoll on Windows. 22.2.0 New features: IPC support on Windows: where available (64bit Windows wheels and bundled libzmq when compiling from source, via wepoll), IPC should work on appropriate Windows versions. Nicer reprs of contexts and sockets Memory allocated by recv(copy=False) is no longer read-only asyncio: Always reference current loop instead of attaching to the current loop at instantiation time. This fixes e.g. contexts and/or sockets instantiated prior to a call to asyncio.run. ssh: $PYZMQ_PARAMIKO_HOST_KEY_POLICY can be used to set the missing host key policy, e.g. AutoAdd. Fixes: Fix memory corruption in gevent integration Fix memoryview(zmq.Frame) with cffi backend Fix threadsafety issue when closing sockets Changes: pypy Windows wheels are 64b-only, following an update in cibuildwheel 2.0 deprecate zmq.utils.jsonapi and remove support for non-stdlib json implementations in send/recv_json. Custom serialization methods should be used instead. Signed-off-by: Zheng Ruoqin <zhengrq.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-pymisp: upgrade 2.4.144 -> 2.4.148zhengruoqin2021-08-251-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | New ~~~ - Method `sharing_group_exists` [Jakub Onderka] - Method `update_sharing_group` [Jakub Onderka] - Save one REST call when initialize PyMISP class. [Jakub Onderka] - Method `organisation_exists` [Jakub Onderka] - Method `sharing_group_exists` [Jakub Onderka] - Method `update_sharing_group` [Jakub Onderka] - `to_dict` method supports `json_format` parameter. [Jakub Onderka] - Method `organisation_exists` [Jakub Onderka] - Method `sharing_group_exists` [Jakub Onderka] - Method `update_sharing_group` [Jakub Onderka] - Save one REST call when initialize PyMISP class. [Jakub Onderka] - Method `organisation_exists` [Jakub Onderka] - Method `sharing_group_exists` [Jakub Onderka] - Method `update_sharing_group` [Jakub Onderka] - Exclude decayed attributes in search. [Raphaël Vinot] Signed-off-by: Zheng Ruoqin <zhengrq.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-watchdog: Upgrade 2.1.3 -> 2.1.5Leon Anavi2021-08-251-1/+1
| | | | | | | | | | | | | Upgrade to release 2.1.5: - Fix regression introduced in 2.1.4 (reverted "Allow overriding or adding custom event handlers to event dispatch map. - Convert regexes of type str to list. Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-bitarray: Upgrade 2.3.0 -> 2.3.2Leon Anavi2021-08-251-1/+1
| | | | | | | | | | | | | Upgrade to release 2.3.2: - fix slice assignment for shared buffer with offset case - add tests (including internal debug mode tests for `buffers_overlap()`) Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-simplejson: Upgrade 3.17.4 -> 3.17.5Leon Anavi2021-08-251-1/+1
| | | | | | | | | | | | | | | Upgrade to release 3.17.5: - Fix the C extension module to harden is_namedtuple against looks-a-likes such as Mocks. Also prevent dict encoding from causing an unraised SystemError when encountering a non-Dict. Noticed by running user tests against a CPython interpreter with C asserts enabled (COPTS += -UNDEBUG). Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-ruamel-yaml: Upgrade 0.17.11 -> 0.17.13Leon Anavi2021-08-251-1/+1
| | | | | | | | | | | | | Upgrade to release 0.17.13: - minor fix in attr handling - fix issue with anchor on registered class not preserved and those classes using package attrs with @attr.s() Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-colorlog: Upgrade 5.0.1 -> 6.4.1Leon Anavi2021-08-251-1/+1
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Upgrade to release 6.4.1: - Renamed colorlog.logging to colorlog.wrappers - Import log levels from the logging module - Dropped support for Python 2 and Python versions below 3.5 - Added type hints and added mypy to CI - Support 256 colour ANSI codes - Support "light" ANSI codes - Support the NO_COLOR environment variable, and a no_color option - Updated various examples and documentation - Merged TTYColoredFormatter into ColoredFormatter, and ensure no ANSI codes are printed when colors are disabled - Replaced LevelFormatter with a far simpler implementation - Fixed version_info check for the Formatter validate parameter - Define formatMessage instead of format, so that ColoredRecord is used in fewer places - Use setuptool's "normalised" format for the version number - Add PEP 561 typing marker so mypy can find type annotations - Renamed internal modules - colorlog.colorlog is now colorlog.formatter - colorlog.logging is now colorlog.wrappers - Removed colorlog.escape_codes object so that the colorlog.escape_codes module can be imported and used - Import log levels from the logging module Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python3-wheel: upgrade 0.36.2 -> 0.37.0zangrc2021-08-231-1/+1
| | | | | | | | | | | **0.37.0 (2021-08-09)** - Added official Python 3.10 support - Updated vendored ``packaging`` library to v20.9 Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-grpcio: upgrade 1.38.1 -> 1.39.0zangrc2021-08-231-1/+1
| | | | | | Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-grpcio-tools: upgrade 1.38.1 -> 1.39.0zangrc2021-08-231-1/+1
| | | | | | Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-google-api-python-client: upgrade 2.15.0 -> 2.17.0zangrc2021-08-231-1/+1
| | | | | | | | | | | | | | | | | | | | | | Features apigee: update the api bigqueryreservation: update the api chat: update the api cloudbuild: update the api cloudscheduler: update the api contactcenterinsights: update the api dialogflow: update the api displayvideo: update the api monitoring: update the api networkconnectivity: update the api notebooks: update the api retail: update the api servicenetworking: update the api sts: update the api Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-flask-socketio: upgrade 5.1.0 -> 5.1.1zangrc2021-08-231-1/+1
| | | | | | | | | | | | | Release 5.1.1 - 2021-08-02 Only use SSL socket if at least one SSL kwarg is not None #1639 (commit) (thanks JT Raber!) Remove unused SSL arguments from eventlet server options #1639 (commit) Remove executable permissions from files that lack shebang lines #1621 (commit) (thanks Ben Beasley!) Improved project structure (commit) Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-flask-migrate: upgrade 3.0.1 -> 3.1.0zangrc2021-08-231-1/+1
| | | | | | Signed-off-by: Zang Ruochen <zangrc.fnst@fujitsu.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-regex: Upgrade 2021.7.6 -> 2021.8.3Leon Anavi2021-08-231-1/+1
| | | | | | | | | | | Upgrade to release 2021.8.3: - re.sub and re.findall freeze with regex, but not old re - regex's `Match` and `Pattern` types do not act as generics Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-simplejson: Upgrade 3.17.3 -> 3.17.4Leon Anavi2021-08-231-1/+1
| | | | | | | | | | Upgrade to release 3.17.4: - Upgrade cibuildwheel Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-qrcode: Upgrade 7.2 -> 7.3Leon Anavi2021-08-231-1/+1
| | | | | | | | | | Upgrade to release 7.3: - Skip color mask if QR is black and white Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-unidiff: Upgrade 0.6.0 -> 0.7.0Leon Anavi2021-08-231-2/+1
| | | | | | | | | | | | | Upgrade to release 0.7.0: - Fixed issues handling multiple git renames. - Renamed files return target filename as PatchedFile.path. - Fixed error when first change is a binary file. - Added source code type hints. Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>
* python3-ruamel-yaml: Upgrade 0.17.10 -> 0.17.11Leon Anavi2021-08-231-1/+1
| | | | | | | | | | | | Upgrade to release 0.17.11: - fix error baseclass for ``DuplicateKeyErorr`` - fix typo in reader error message, causing `KeyError` during reader error Signed-off-by: Leon Anavi <leon.anavi@konsulko.com> Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Trevor Gamblin <trevor.gamblin@windriver.com>